Edit Package php7

php7

php version 7

Refresh
Refresh
Source Files
Filename Size Changed
README.macros 0000004375 4.27 KB almost 4 years
_multibuild 0000000053 53 Bytes over 1 year
build-test.sh 0000001606 1.57 KB about 3 years
macros.php 0000002776 2.71 KB almost 4 years
php-7.3.28.tar.xz 0012139380 11.6 MB about 2 months
php-7.3.28.tar.xz.asc 0000000850 850 Bytes about 2 months
php-crypt-tests.patch 0000000946 946 Bytes over 2 years
php-date-regenerate-lexers.patch 0000001192 1.16 KB over 2 years
php-embed.patch 0000000546 546 Bytes over 2 years
php-ini.patch 0000001421 1.39 KB over 1 year
php-no-build-date.patch 0000004885 4.77 KB over 2 years
php-openssl.patch 0000001038 1.01 KB over 2 years
php-php-config.patch 0000000609 609 Bytes over 2 years
php-phpize.patch 0000000946 946 Bytes over 2 years
php-pts.patch 0000001156 1.13 KB over 2 years
php-suse-addons.tar.bz2 0000001577 1.54 KB over 5 years
php-systemd-unit.patch 0000000755 755 Bytes over 2 years
php-systzdata-v18.patch 0000018529 18.1 KB over 2 years
php7.changes 0000171244 167 KB about 2 months
php7.keyring 0000045372 44.3 KB over 2 years
php7.rpmlintrc 0000000419 419 Bytes over 2 years
php7.spec 0000050919 49.7 KB about 2 months
Comments for php7 4

Christian Wittmer's avatar

computersalat wrote over 1 year ago

Can you please fix the conflict in spec file?


Arjen de Korte's avatar

adkorte wrote over 1 year ago

It still links to openSUSE:Factory, which is a mistake, since we have PHP 7.4 in Factory now. The _link file should probably be removed.


Vincent Petry's avatar

PVince81 wrote over 1 year ago

Can we keep openSUSE Tumbleweed as build target here ? This repo is useful for people like me who need to work with PHP 7.3 still.

Please note that in past iterations of PHP upgrades, it was still possible to use the devel:languages::phpXX repos on Tumbleweed for downgrading. Note sure why this practice hasn't been kept here.


Sven Uebelacker's avatar

uebelhacker wrote about 1 year ago

I can strongly agree. Since php7.3 was dropped in Tumbleweed, apps break because they do not support php7.4 yet. See https://lists.opensuse.org/opensuse-factory/2019-12/msg00163.html

It consumes more obs resources if everyone build their own php7.3 branch for tumbleweed like I do: https://build.opensuse.org/package/show/home:uebelhacker:tumbleweed/php73 Or stay on outdated, insecure versions like 7.3.15.

Please, add the Tumbleweed build target and I can remove my branch ;)

openSUSE Build Service is sponsored by